%define	name	bluez-firmware
%define version 1.2

Name: 		%{name}
Summary: 	Bluetooth firmware utilities
Version: 	%{version}
Release: 	%mkrel 6
Source:		%{name}-%{version}.tar.xz
Source1:    brcm.tar.xz
URL:		http://bluez.sourceforge.net/
License:	Freeware
Group:		System/Kernel and hardware
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Provides:	bluez-bluefw
Obsoletes:	bluez-bluefw
BuildArch:	noarch

%description 
This package contains firmware images for some Bluetooth(TM)
adapters. 

%package        broadcom
Summary:        Additional Broadcom Bluetooth(TM) firmware
Group:          System/Kernel and hardware

%description broadcom
Additional broadcom Bluetooth(TM) firmware.

%prep
%setup -q

%build
%configure2_5x --libdir=/lib
%make
										
%install
rm -rf %{buildroot}
%makeinstall_std
mkdir -p %buildroot/lib/firmware
tar xpvf %SOURCE1 -C %buildroot/lib/firmware/

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog 
/lib/firmware/BCM-LEGAL.txt
/lib/firmware/BCM2033-FW.bin
/lib/firmware/BCM2033-MD.hex
/lib/firmware/STLC2500_R4_00_03.ptc
/lib/firmware/STLC2500_R4_00_06.ssf
/lib/firmware/STLC2500_R4_02_02_WLAN.ssf
/lib/firmware/STLC2500_R4_02_04.ptc

%files broadcom
/lib/firmware/brcm

%changelog
* Wed Apr 25 2018 adrianomorselli <adrianomorselli> 1.2-6uplos2018
- split out broadcom firmware files
- add more firmware
